g2bAPI Reference
Tasks

List tasks

Lists tasks owned by the caller.

GET
/v1/tasks

Lists tasks owned by the caller.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/tasks"
{  "tasks": [    {      "id": "string",      "project_id": "string",      "name": "string",      "status": "setup",      "sandbox_status": "initializing",      "github_url": "string",      "branch": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": "Unauthorized"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}